#ifndef LATTICEFUNCTIONS_H
#define LATTICEFUNCTIONS_H

#include <list>
#include <math.h>
#include <float.h>
#include <string>
#include "Primitives.hxx"
#include "LatticeFunctions.hxx"


float firstSlice(string latticeType);

float nextSlice(string latticeType, float prevSlice);

int neighborCount(string latticeType);

list<Point3D> latticeNeighbors(Point3D origin, string latticeType);

Point3D snapToLattice(Point3D target, string latticeType);


#endif
